<?php

namespace App\Entity;

use App\Repository\ProjectInspiringRepository;
use Doctrine\ORM\Mapping as ORM;
use App\Doctrine\Extension\DescriptionProjectInterface;
use App\Doctrine\Extension\DescriptionProjectTrait;
use Lc\SovBundle\Doctrine\EntityInterface;

/**
 * @ORM\Entity(repositoryClass=ProjectInspiringRepository::class)
 */
class ProjectInspiring implements DescriptionProjectInterface, EntityInterface
{
    use DescriptionProjectTrait;

    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=IndividualData::class, inversedBy="projectInspiring")
     */
    private $individualData;

    /**
     * @ORM\ManyToOne(targetEntity=CollectifData::class, inversedBy="projectInspiring")
     */
    private $collectifData;

    public function __toString()
    {
        return "Les actions inspirantes";
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getIndividualData(): ?IndividualData
    {
        return $this->individualData;
    }

    public function setIndividualData(?IndividualData $individualData): self
    {
        $this->individualData = $individualData;

        return $this;
    }

    public function getCollectifData(): ?CollectifData
    {
        return $this->collectifData;
    }

    public function setCollectifData(?CollectifData $collectifData): self
    {
        $this->collectifData = $collectifData;

        return $this;
    }
}
